Create a jobAsk AIpost https://api.gusto-demo.com/v1/employees/{employee_id}/jobsCreate a job. scope: jobs:writePath Paramsemployee_idstringrequiredThe UUID of the employeeBody Paramstitlestring | nullrequiredThe job title.hire_datestringrequiredThe date when the employee was hired or rehired for the job.two_percent_shareholderbooleanWhether the employee owns at least 2% of the company.truefalsestate_wc_coveredboolean | nullWhether this job is eligible for workers' compensation coverage in the state of Washington (WA).truefalsestate_wc_class_codestring | nullThe risk class code for workers' compensation in Washington state. Please visit Washington state's Risk Class page to learn more.HeadersX-Gusto-API-VersionstringenumDefaults to 2026-02-01Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.2026-02-01Allowed:2026-02-01Responses 201created 404Not Found The requested resource does not exist. Make sure the provided UUID is valid. 422Unprocessable Entity This may happen when the body of your request contains errors such as invalid_attribute_value, or the request fails due to an invalid_operation. See the Errors Categories guide for more details.Updated 21 days ago